#!/usr/bin/env python3
# -*- coding: utf8 -*-
# test encoding: à-é-è-ô-ï-€

# Copyright 2021 University of Liège
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

class Cell:
    """Abstract cell class
    """
    def __init__(self, idx, nodes):
        self.idx = idx # cell index
        self.nodes = nodes # list of nodes of the cell
    def __srt__(self):
        msg = 'cell #{0:d} ({1:s}), nodes:'.format(self.idx, self.type())
        for n in self.nodes:
            msg += ' #{0:d}'.format(n.no)
        return msg + '\n'

    def type(self):
        return 'UKN'

    def evalNormalArea():
        raise NotImplementedError()
